> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/uwp/ui-customization/toolbar.md).

# APIs to customize the toolbar in UWP viewer

Learn how to customize the toolbar in the PDF Viewer with the UWP Tools SDK. Follow this guide to reorder buttons and enhance your user experience. The Apryse uwp SDK streamlines secure document proce

This is a quick guide on re-ordering and customizing the toolbar when using the PDF Viewer in the UWP Tools SDK.

The code snippet below will setup the AnnotationToolbarOptions class, which stores a list of buttons to add to the toolbar. Adding buttons to the list during initialization will adjust what is available on the toolbar.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
pdftron.PDF.Tools.Controls.AnnotationToolbarOptions annotationToolbarOptions = new pdftron.PDF.Tools.Controls.AnnotationToolbarOptions();
            List<ToolbarButtonType> mainToolBarItems = new List<ToolbarButtonType>();
            mainToolBarItems.Add(ToolbarButtonType.Pan);
            // Add buttons to toolbar....

            annotationToolbarOptions.MainToolbarItems = mainToolBarItems;
            mAnnotationToolbar = new pdftron.PDF.Tools.Controls.AnnotationCommandBar(mToolManager, annotationToolbarOptions);
            //mAnnotationToolbar.IsInkToolButtonVisible = false;
            //mAnnotationToolbar.IsSignatureToolButtonVisible = false;
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/uwp/ui-customization/toolbar.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
